Contents
UniQWK - Off-line Reader

File	Archive

Edit	Message Editor

Msg	Keyboard

View	PIF Configuration

Reply	How to Register

Search	UniQWK - Support

Set	How to Uninstall

Info	For beginners

More Options


Message Editor

File

Edit

Talk

Music

Options

Spell

Keyboard


File Menu

The File Menu includes commands that let you open and close .QWK files.  In addition to deleting files, there are commands to send files and to code/decode files using UU/XXencode.

Open	Open .QWK file.

Close	Close .QWK file.

Delete	Delete file.

Rename	Change file name.

Send File	Send file as message or attached file.

Decode File	Decode UU/XXencode message.

Colis Postaux	Send or Open a packet (OLE document)

Print Clipboard	Print clipboard contents using default printer,

Print Msg	Print message using default printer, one message per page.

Save Newfiles	Save "New Files" file.

Save Clipboard	Save clipboard contents.

Exit	Exit Program.


Edit Menu

-Use this option to copy text (Copy) from view message window to clipboardto a tagline's file or to the address list.

-You can use this text in any other Windows application, or if you wish, can save the contents to a file (Save Clipboard) in either text or clipboard (.CLP) format.

-Upon exiting the program, the contents of this area can be saved automatically if you chose this option.  See Options.

-Select text using left mouse button.

-Copy to clipboard - This command inserts selected text in clipboard. Previous contents are substituted by the new selection.

-Append to clipboard - Selected text is added to previous contents of clipboard.

-Save as Tagline - Use this command to save selected text as tagline.  Taglines may have up to 64 characters and a tagline file can hold up to 4,096 taglines.  You may have a tagline file for every BBS.

-Save as Address - with this command you can save selected text as a address, at current address list.

-Copy msg. to clip - Copy current message to clipboard.  Prior contents are lost.  You do not need to mark the text copied.

-Append msg. to clip - Add the current message to clipboard.  You do not need to mark the text copied.


 Message Menu

Select Message	List messages in an area. Messages may be ordered by sender, receiver or subject, or may be unsorted.    This list shows the personal messages in red and disabled messages (from twit list) in gray.  You can choose between a summarized  list where appear only one header field or a full list where To, From and Subject are displayed.

Select Area	This option allows the access to the areas list on the left superior corner of message header.   Note that only the areas which contain messages are listed with respective total of messages.  "Selected Msgs" and "Personal Msgs" are a fake areas for messages selected by keywords and for messages addressed to you.

Archive	Save messages for a message base (folder). You may save only the current message, all messages in the area or the entire packet. You may associate a keyword with each message, thus easing future research.  If you save an entire area or the entire packet using a keyword, it is associated to every message in the group.

Append to file	Save a message as (ASCII) text in any file. If the file already exists, the message is appended to the end of the file.

Decrypt Msg	Decrypt message. Available only if you have PGP installed.

Save Public Key	Save public key received into message at current public key's file.  Available only if you have PGP installed.

Check Signature	Check message signature, .Available only if you have PGP installed.

Save Talk	Save talkline received with current message in a .WAV file.

Talk	Play talkline received in message.

Save MIDI	Save received MIDI with message in a .MID file.

MIDI	Play last received MIDI.

Previous	Go to previous message.

Next	Go to next message.


View Menu

-This menu helps visualize the extra files that may come in the packet.

-Generally, these files are:

-NEWFILES.DAT-	List of new BBS files available for downloading.

-BLT-n.xxx-	BBS bulletins and notes

-WELCOME.xxx	File with the BBS' opening screen

-Other files may also be found, depending on the BBS and the configuration of the BBS program that prepares your packet.

-These files may be normal text or ANSI. UniQWK shows ANSI files, though files with more than 60kb are truncated (whether ANSI or not).


Reply Menu

List Replies	List replies to current .REP file to edit, copy, view, etc.

Make .REP	Create or edit a .REP file

Reply /wo	Reply to current message (without quote).

Reply /w	Reply to current message, including original message (quote).

Reply w/Colis	Create a  Colis Postaux as reply to current message

Enter Msg	Enter a new message.

Enter Colis	Create a   Colis Postaux and send as message

Forward	Send current message to another user.


Search

Packet 	It looks for text in the whole packet

Area	It looks for text only in the current area

-Search for text in header or body of  messages and show message if found. The first occurrence of the text is highlighted if it occurs in the body of the message.

-The search text may include up to 64 characters. If you choose, the search can be case sensitive.


Set Menu

View Code Page	Select character set (Cope page) for viewing message. See Character Set

Font	Select the font size

Text Wrap	Enable/disable line wrap.

Settings	It set all the reader configuration items.

Encrypt	Change your "User ID"  or  the "Pass Phrase", used by PGP

Save Size Now	Save the size of message reader window

Door Control	Send message to configure BBS packer door.

Update Dictionary	Insert new words into dictionary.

Taglines	Edit current tagline file

Registration	Enter registration key

Note: The last two menu items are mutually exclusive, that is, only one exists at a time.


Font Size

- The reader uses fixed pitch fonts for all character sets, exception of CP1007  You may select three different sizes, normal or bold.

- We recommend using non-proportional fonts for reading messages, as this maintains message appearance when read on a terminal.

- For the CP1007  (or ANSI) you may choose any font, including "true type", but remember that "true type" fonts are slower than the common ones.


Settings Menu
Settings

-This dialog allows the configuration of almost all the reader's configurable items.   Some less used items may be changed by editing the file of configuration (.INI)  See  More Options

- The configuration box is divided in two groups:

      For All BBSs:  The items whose configuration is effective to all BBSs

      For Each BBS:  The options that are valid only to a selected BBS.

For All BBSs:

Header Color	Select message header color

Message Color	Select color for body of message

Miscellanea	It shapes the reader's different options

Directories	Set directories for proper program work

Reply Options	Different options to create messages.

For each  BBS:

Keywords	List of keywords.

Twit-List	"Twit" users and tiresome subjects

Default Area	Default area for special messages

Address List	List of BBS user's name/addresses

Select BBS	It selects a BBS to configure.

BBS Options	Various options on selected BBS


Header  Color

- Change the color of the message header.

- You can choose colors for the background, titles or text.

- Only solid colors may be selected for the text.

See: Color - Message


Message Color

- Change color of the message body (message window)

- You can choose colors for background, normal text, quote and highlights.

- Only solid colors may be selected.  Some background colors may produce distorted characters.

- If there is an ANSI message, colors will be selected by the ANSI command.  This mode normally shows white characters on a black background.

See: Header Color


Options
Miscellanea

-Talklines - Enable and select the volume for playing talklines (normal or low).

- Save Messages - Select whether to save messages in a text file by date or BBS.  The text file is save as a normal ASCII file.

   BBS - Message is saved in a file named <bbsname>.MSG.

   DATE - File name will be yymmdd.MSG. A new file is created everyday.

Remember that the option to save a messages as a text file always adds the message to a file, if that file already exists.

- Ask to Save Clipboard on Exit - If enabled, the clipboard will be saved as a text file upon exiting the program.  If disabled, you will be asked before saving.

- Ask to Save, Del, etc. - Enables or disables confirmation of saving, deleting, etc.

- Ask for ANSI display - If marked, UniQWK will ask before showing doubtful ANSI messages, that is, messages with ANSI sequences where ESC (1Bh) has been substituted by any other character.  If disabled, messages will be shown as ANSI without any confirmation.

- Ask to delete QWK on exit - Enables a message asking if you want to delete the packet you have just finished reading, in case you have read all messages.

- Ask to rename .QWK on exit - Enables a question asking if you want to rename the packet upon closing it.

- Beep on Personal Msg - If enabled, rings a bell when personal messages are viewed.

- Beep on Area Change - Enable/disable beep on area change.

- Case sensitive keywords on search  - Enables case sensitive search for keywords.

- Use display font to print messages - Mark this option to use to screen font for printing messages. We recommend this option since some fonts (such as MAC) are not generally available on PCs. If you have problems with font sizes or any other printing error, try disabling this option.

- Use 3D Controls -  Enable/disable "3D" like controls.

  OBS:  UniQWK do not use CTL3D.DLL.


Directories

Set UniQWK default directories.  The correct configuration is fundamental for correct program operation.

.QWK	Directory where reader customarily finds message packets.  This directory is normally the download directory used by the BBS terminal emulator.

.REP	Directory where reply packet (.REP) is located, usually the upload directory, in which the BBS terminal emulator looks for files to upload.

.MSG	Directory for saving messages as text. Also used for new files lists, message bases (folders). It may be any directory.

.WAV	Directory for saving/loading talklines.

.MID	Directory for saving/loading MIDI files.

.ZIP	Directory for saving files receives with messages. All attached files are placed in this directory.

NOTE: The directory /UNIWRK is used by UniQWK to open message packets and as a work area. This directory must be used exclusively by UniQWK.   All files placed there will be deleted.


Reply
Reply Options

You may configure various options for making replies to all BBSs that you access.

Character Set	Select the character set (CP) for reply file (.REP)

Format	Define message format: number of lines, quote, first line of reply, etc.

Internal Editor	Configure Internal Editor

External Editor	Configure External Editor

Options	Define general options, internal/external ZIP, etc.

PGP	Define your public key file, enable PGP


Keywords

- Use this command to edit the list of keywords used to select messages when your packet is opened.

- Every BBS that you access has a keyword list.  Each list may hold up to 32 keywords.

-You can also include a list of words in order to exclude message of the selected group, that is, you select messages that have the key-word  and  don't have the word for excluding.  Ex: If you include all messages with :"Paul"  and exclude all with "Peter" , you will get all message about Paul Simon but none about  "Peter, Paul & Mary".

- The message containing the keyword is copied to an area called Selected Messages,

-Both the message header and the body of the message are searched.  If the keyword is in the body of the message, it is highlighted when that message is viewed.

- The search can be either case sensitive or not, depending upon your configuration.  See OPTIONS.  NOTE: The use of keywords makes the process of opening packets a little slower, but it greatly facilitates quick reading of a packet with a large number of messages.


Twit List

- You can keep a list of people or subjects that you want to exclude, so all the messages sent by those people or have an undesired "subject" will be automatically disabled.

- The disabled messages will appear in GRAY in the message list and are not shown with message change commands by keyboard or mouse.  The reading of disabled messages (gray) is possible only through the direct selection from the list.

- This list can keep up to 32 names and 32 undesired subjects.


User List
Address List

- Use this option to edit, add or delete user list names.  This list is always available when you fill out the "to" field for a message.

- This list holds the names that you most frequently use.  You can enter up to 256 names per list and there is a separate list for every BBS.

-Internet addresses may also be kept in this list.

- You can include a comment (parentheses enclosed) with the name/address.

      Ex:  (Juliette B.) 666777888@compuserve.com

The CANCEL button restores the list to the last time you used the SAVE command, if you choose to cancel the changes you have made.


Default Area

You can select a default area for some special kind of messages:

- Internet - For messages addressed to Internet.

- Private - Used when you enter a private message

- Attachments - Default area to put messages with attached files or XX/UUencoded stuff


BBS Configuration
BBS Options

- Signature - May contain up to 80 characters, added at the end of your replies.

- Address 1 & 2 - May also be added at end of message, after signature line.

- Insert File -The name of a file that is inserted at the end of each message.  This file must be at the UniQWK directory, therefore put here only the name of the file without path.  This file doesn't pass by any conversion of characters.

OBS: When these file is used, the "signature" and "address 1&2" are disabled.

- Use Taglines - Enables placing taglines in messages.  Non-registered copies have only one, set tagline that cannot be removed. This is our "punishment" for non-registered users.

- Tagline File - You can select a tagline file for every BBS.  If you select no file, UniQWK will use the same file for all BBSs - UNIQWK.TAG. This file must be a UniQWK's directory, so use only the file name (no path).

-Archive Personal Msgs - Enables adding personal messages to a folder named "for_me".

- Save New files - Enables adding the NEWFILES file (received in your packet) to a file named <bbsname>.NEW.  Whenever this file becomes very large (> 256kb), you will see a warning message. Delete the file and a new file will be created. If this option is not enabled, you can manually save the NEWFILES list in the (FILE) menu.

- Alternate Coding - This option gives you an alternate way to encode the talkline and MIDI inserted in messages. When enabled, only 6 bits will be used (the normal method uses 7). Enable if your talklines or MIDIs are corrupted when they reach their destination.  Remember that these messages are corrupted if edited.

-No Accents on Internet Mail - Use this option to remove automatically all the accents on messages addressed to Internet areas.    You can also disable the accents manually at internal editor

-Show new files list - Enable or disables the exhibition of the "new files"  file before reading the messages.   Before reading "new files", click any button to return to messages.


Reply List

- List all replies in .REP file;

<  or  > - Show previous or next message on list. This can also be done by double clicking anywhere on message list.

Copy - Send a copy of selected message to another user. This is also known as "carbon copy" in other off-line readers.

Edit - Re-edit reply. While re-editing, you cannot change or insert a signature or tagline.

Save - Save reply in a text file.

Delete - Delete selected reply from .REP file; once deleted, it cannot be recovered.


Forward

- This command is used to send current message to another user. A small header is automatically inserted before the message.

- In addition to selecting a user name, you can add a name and save the new list using the SAVE button.

- Messages are private by default. You can make them public, if you wish. UniKEY will try to move to default private area, if available.

- Always confirm that you have selected the right area. Normally, UniQWK attempts to find an area for private messages, though BBSs do not always have a specific area. You can specify a default area for private messages. See More Options.

- If you want to edit a message before sending it, mark the corresponding option.


Save Size

- Save the program window size.  The position is always saved automatically.  If you change the default window size, use this option so that the program will return to the size you have selected.  Note that if you save the maximum window size, it may not occupy the full screen size, since the size used is always a multiple of the characters' size.

Warning: If you use a window wider 80 characters, your ANSI messages will be garbled.  To restore the window to its original size, you can change the font size to a larger or smaller one than the current font and then return to what you normally use.  This restores the window to its original size.


Door Configuration

- Use this option to create a configuration message for the BBS door used to make QWK packets.  As of this version, this command is compatible with QMAIL4, MKQWK and QWK generators compatible with them.  See your BBS manual for more information.

- Use the ADD button to add "add," "drop," and "reset" commands to the message.

- Use the DELETE button to delete any command, visible as a list, from the message.

- Use the SET ALL POINTERS TO LAST MESSAGE RECEIVED button if you lost your last QWK packet without reading it or if for any reason the BBS' pointer configuration has been lost or altered.  UniQWK always keeps the position of the last message received in any area precisely for these difficult situations.  Make a configuration message and restore your pointers before asking for your next packet.

The principal commands are:

Add - To include an area in your packet.  Select the area desired and mark the box to the right if you only want to receive messages addressed to you in that area.

Drop - To exclude an area from your next packet.

Reset -  To select the last message read in an area, chose the conference and place the number of the last message read.

Max. Size - Select the maximum packet size.  Packet size may be limited by the SYSOP or connect speed.  Note that not all compressors support this command.

Max. Msg. - Select the maximum number of messages per packet.  This number can be limited by the SYSOP. 800 messages is a good size. Do not select more than 2,000, as this is UniQWK's limit.

Protocol - Select the protocol for downloading/uploading packets. Use the first letter of the protocol, as in Z for zmodem.


Dictionary Update
Update Dictionary

- Use this option to update the dictionary, adding words that you have chosen to insert in the dictionary while using the spell checker.

- When using the spell checker, words that you select to add to the dictionary are temporarily stored in a provisory file because insertion in the permanent file is slower.  When there are enough words in the temporary file, you will be asked to update the dictionary.  If you do not do so, words in the temporary dictionary may be "forgotten."

- The dictionary acts in conjunction with an xxxxx.IDX file.  If this file does not exist, or is out of date, it will be automatically created during program startup.  Depending on your system and dictionary size, it may cause startup to be somewhat slower.

-See also  More Options.


Taglines

-Add - Enter a new tagline in the file.  Every file can have up to 4,096 taglines.  You can have a specific file for every BBS.

- Delete - Remove the selected tagline from file.

- Done - Save edited line, close dialogue box.

- Cancel - Restore the original line, works only while editing the tagline!

- Use up and down cursor keys to switch lines, saving changes that you have made.

- Do not edit the file itself, as this is very difficult and may cause future problems when using taglines.

- You can steal taglines from messages by using an unbeatable method based on natural intelligence.  Mark the text with your mouse and save it as a tagline ... See Edit.

-Taglines can have no more than 64 characters.

-From version 4.0 and up all taglines are saved using CP1007 (or ANSI).


Configuring PIFs
Configuring PIFs to open and close packets

If you are NOT using our internal zip/unzip, or are using any compressor other than ZIP, you may need to configure the PIFs used by UniQWK to open and close message packets. Use the Windows PIF Editor to do so.

MRPACK.PIF - used to make .REP file.

MRUNPACK.PIF - used to open .QWK packets.

The installed PIF files are configured to use ZIP/UNZIP.  If you use a different compressor, you must alter these PIFs.

IMPORTANT: You MUST place the .PIF files in the same directory as Windows files.

Program Filename:

- Use complete path and name.  Ex.: C:\util\pkunzip.

Windows Names:

- These MUST be MRPACK for the packer and MRUNPACK for the unpacker. Do not change these names.

Startup Directory:

- Put nothing here.

Optional Parameters:

-We recommend using the overwrite option, if available, for MRUNPACK.

Memory Requirements:

-Use as needed for your program.

Close Window on Exit:

-May be enabled. Otherwise, you will have to manually close the Windows.

Execution:

- May be in the background.  Please note that this is not the Windows default.


More Options

- There are several configuration options that are not available on the configuration menus, due to their restricted use.  The principal configuration, UNIQWK.INI, is located in the Windows directory.  For every BBS, there is a specific file named <bbsname>.PRO in the main UniQWK directory.

***  For BBS's configuration files  -  <bbsname>.PRO:

- View CP, Reply CP - If you want to select the default character set for both viewing and reading in a given BBS, add the following to the <bbsname>.PRO file:

   [UniQWK]

   ReplyCP = n

   ViewCP = n         Where n = the character set number

0 = CP 860

1 = CP 850

2 = CP 437

3 = MAC

4 = CP 1007

- Compress replies - This option is useful if you want to have a <bbs>.DAT file available upon exiting instead of the <bbs>.REP file.  The .DAT file is not a compressed file, therefore; place the following line in the <bbsname>.PRO file.

   [UniQWK]

   NoCompress=bool         Default = FALSE

-User's Name - This option allows you to use a different name, not the name at QWK packet.  This option is useful only to sysops, the BBS rejects messages posted with a user's name other than yours.

[UniQWK]

User=Bill Grades

- From - This option allows you to change the pattern used in search the sender's address at a Internet message.  Default is "From: " but some Internet <-> QWK converters remove the original "From: " and replace it with a more exoteric string   Use tilde '~". to insert spaces, Max. size = 30 chars

  [UniQWK]

From=ãFrom:~    	<- default,  Note the "ã" , is the line separator at QWK,

o '~'  means a  space after "From:"

- To- This allows you to change the string placed by UniQWK at the first line of a Internet message.  Default is "To:",  but you can use any string to satisfy your BBS's Internet converter.   Use tilde  '~'.  to insert spaces,  Max size = 30 chars

[UniQWK]

To=To:~ 	<- default

-PubKey - This allows you to select the public key's file.  If not specified the default file will be used, or the file defined at  PGP.initialization file.  You can assign a different file for each BBS.

[UniQWK]

PubKey=c:\path\filename.ext

***  For main configuration file  - UNIQWK.INI

- SpellMin - This parameter defines the minimum size of words to be checked.  It is normally 3 characters, but you may use any value greater than 1.  This variable is defined in the [UniQWK] section of  UNIQWK.INI

   [UniQWK]

   SpellMin=n            Default = 2

-SPellLang - This variable defines the language used by the spell checker.  Up to five languages may be used.  This variable is the index (beginning with 1) of the language in use and is automatically updated according to the language you have chosen in the editor menu.  If you want to disable the spell checker, define the variable as zero.      This variable is defined in the [UniQWK] section of UNIQWK.INI

   [UniQWK]

   SpellLang=1

-[Spell] - This section of the UNIQWK.INI file defines the languages available in the spell checker.  Each entry is formed by the file's common name followed by the name shown in the editor menu.  For a language to be available, you must have a file defining some rules for its prefixes and suffixes, in addition to the dictionary file.  For example, if you have the ENGL.DCT dictionary and the ENGL.INI rules file,  both must be in the directory used by UniQWK.

   [Spell]

   engl=English

- PGPxcmd - Commands to activate the encryption program.  This commands can be up to 38 characters.

[UniQWK]

PGPEcmd =+force -ewa	<- Encrypt

PGPDcmd =+force -z	<- decrypt

PGPScmd =-sta -z	<- sign message

PGPKcmd =-ka +batchmode	<- save public key

-Status Msg. Forward - It allows to select the default status to message forwards.

[UniQWK]

ForwdPriv=bool         Default = TRUE, private.

-Maximum Position Saved - Number of "bookmarks" for each BBS.  A big number can generate a big .PRO file.  Avoid numbers above 12.

[UniQWK]

MaxSav=n 	Default = 4

-Maximum message size - It limits the maximum size of the created message.  Be careful, in the use of values over 32kb because they can cause problems on some old  BBS systems.

[UniQWK]

KbMsg=n                (5 > n < 60).  Default is 32kb.

-Scroll bar - It enables or disables the vertical scroll bar at message view window.

[UniQWK]

ScrlBar=bool             Default = TRUE.

-MIDI -It's possible to disable the receiving and the sending of MIDIs.

[UniQWK]

NoMidi=bool             Default=FALSE.

-MIDI queue - In order to disable MIDI received queue, set this variable to TRUE (1), thus the program will be like the old version 3.3.

   [UniQWK]

MidiQueue=bool      Default = TRUE.


Program Registration

- Use this menu option when you receive your registration key. You will then get rid of our "reminder" and be free to use taglines...

- Fill in the fields with the number and serial number and security code exactly as you receive it.   Neither interchange upper and lower case nor insert spaces or any other character in the name.  Press OK.

- Exit program.

- Restart program and confirm that if your name and number now appear where program user is shown (select ABOUT).  If they do not, carefully check the data you received from UniKEY and repeat the registration operation.  If you are not successful, contact us.

- If you still have not registered, see How to Register.


Make

- Use this command to edit an already existing .REP file or to create a .REP file without opening a message packet.  This way, you can send messages to a BBS even if you do not have a .QWK; packet to answer.

- You can only make this packet for BBSs available on your list; in other words, for BBSs for which you have opened a .QWK packet.

- Your list can hold up to 64 BBSs.


Info

Use this command to see information about the packet you are viewing.  This includes, packet date/time, number of messages, SYSOP name, decompressed packet size, BBS identification, etc.


Character Set

Select Code Page (CP) for your replies.

- This choice is important only for character above 127, i.e., extended characters. We recommend using CP860/850 for Portuguese and CP437 for English.  CP850 may be used for several languages.  You may also choose the MAC character set, which is useful for any BBS based on that computer.  The 7-bits option  is useful for older BBSs that do not accept characters above 127.

- The 860/850 character set is a mixed set with some characters from CP850, in addition to normal CP860 characters.  This option facilitates operations in Brazil, where both CPs are used indiscriminately.


Internal Editor

- If you mark the Internal Editor option, UniQWK will use its internal editor to edit your replies.

- You can choose the minimum right margin and indentation for the paragraph.  Do not use margins greater than 80 characters, as messages difficult to read.  The right margin can be controlled only by using fixed pitched fonts.


External Editor

- If you do not mark the Internal Editor option, UniQWK will use an external message editor.

- You can use any editor capable of creating text without special control characters. this editor can be Windows (Notepad or WinEdit) or DOS applications (Qedit, for example).

- Use the editor's complete name.  Example: C:util\Qedit.exe

- If you have chosen a Windows editor, mark the corresponding "Windows Editor" box.  This is necessary to correctly convert accented characters.


PGP

My public key:

  Here you place the name of the file which holds you public key.   This file will be inserted at your replies by the "file/insert/public key" command.

Path/Name PGP program:

    Here you place the name executable PGP program.

- The filling of these fields enable  PGP commands.

- You should verify if MRPGP.PIF is at your Windows directory.

- Unregistered users do not have PGP support available but can use the command to send the public key.

- Do not set set character translations at PGP file configuration.

- See  More Options for options of commands and key files for PGP


Format

First Line - This line, up to 64 characters long, is placed in your reply.  Some characters have special meanings: # means use the addressee's first name, % places the date the message was received and $ substitutes the receiver's name, which is generally your own name.

- Quote - The symbol, up to 4 characters in length, used to indicate quoted text.  The Use # to indicate original sender's initials (2 characters).  Note that, in this field, characters are shown as they in the message.  You can enter special symbols using ALT + 0 nnn or ALT + SHIFT + nnn, where nnn is the decimal number of the symbol desired.

..... We emphatically recommend use of the less-than symbol ">" to mark text.  As it is used universally and  is part of the normal ASCII set, this symbol is available on all computers.

Quote empty lines - Enables the quote symbol to include blank lines between paragraphs.

Quote first line only - Initials appear only on the first line of the paragraph.

Kill long quotes - This option lets you eliminate excessively long quotes that cause doubled lines in messages on the screen.  When a quote has more than two names, it is substituted by a period '.', leaving only the initials of whoever first wrote the text.  We recommend that you enable this option.

Max Lines - Allows you to select the maximum size for your messages, up to 500 lines.  This limit is also used for messages containing UU/XXencode files.  Note that UniQWK does not divide the message, but only warns when the message reaches the established limit while editing.

NOTE:  Some programs used by BBSs to compress messages (door) do not support more than 150-200 lines. Avoid using a very large limit and, in case of doubt, find out the limit by asking your SYSOP or checking the BBS manual.


Options

Internal Editor	Select internal or external editor.

Internal ZIP	Enables internal ZIP/UNZIP.  If you do not use this option, see how to configure the .PIF files for use with the external program.

Save Replies	Enables saving all replies in a folder named REPLY.

New Messages	Makes private the default for new messages.


Archive

-Browse	This is the main option to examine, view, copy, reply, etc.

-Delete	Delete a message base (folder).  Be careful:  There is no way back from this option.

-Copy	Copy all message from one folder to other.  . Useful if you want to compress/expand a folder.

-Del. Old	Use this option to delete all old messages in a folder.  All messages older than a specified date are removed.  Compressing the folder after this operation may be recommended.  See next option.

Pack	This option removes all deleted messages from the data files. This operation is executed in the background.  While being executed, you can neither exit the program nor open another message base, though you can execute any other command.  Compression time depends on the size of the data base.  We recommend periodically packing bases in which you constantly add and delete messages.  If you have any message error while using a folder,  try this command to fix the problem.

Export	Use this command to convert a message base into a common text file.  Messages are ordered according to the current key.

Import	Use this command to convert a .MSG file into a folder. This file contain all message to upload, it is compressed into .REP file  This command can also be used for recover a completely demaged folder,  converting a .UNQ file to a folder again.    You can also import .SAV  files, the folder used by OLX.


Browse

You may select From, To, Date, Subject or Keyword as the ordering key for viewing a folder; simply click the corresponding button.

-Next	Shows next message, according to the ordering technique selected.

-Prev	Shows previous message.

-Locate	Locates a message according to current key.  Choose your key, fill in the KEY field with the pattern desired and click on LOCATE.  If a message is found, it will be shown.  Otherwise, the search stops at the message following the pattern.  This is the quickest way to locate a message, even in very large bases. You may use the keyword field to facilitate locating messages within the base.

-Search	Search in the message body or header for text and show the message when found. The first occurrence of the text is highlighted if found in the body of the message. This is slower than searching for a keyword.

-Print	Print current message.

-Forward	Send current message to another user

-Update	Save changes on a message field or keyword.

-Reply	Use this command to reply to the current message, to the BBS identified in the message. If you have a .QWK file open and your reply is to another BBS, you will be asked to close that packet.  IMPORTANT: If you use the REPLY button on the button bar or the menu while a QWK packet is open, the reply to the message in the folder will be added to the reply packet for that BBS'.  Be careful regarding the name and area used as you will be adding a reply from one BBS to anther BBS packet; therefore the area and user name may not be valid.

-Delete	Remove current message from base. When you have deleted many messages, use the PACK command to remove them from data file, thus saving space.

-Copy to Other	Use this command to copy messages from one base to another.

-Copy to Clip	Copy current message to clipboard; useful while editing message or directly transferring material to another application.


File Exit

-  When exiting UniQWK, you can save your current position until you read it again.

-  If you have read the entire packet and have enabled the option to it after reading, you will be asked if you want to delete the packet. If you do not want to, and have enabled the rename option, this option will then be offered.

- Your replies (REP) are copied to the upload directory upon exiting the program.

- If a task is running in the background, such as compressing a data base or packaging a reply file, you will be unable to exit the program. Wait until the operation has been completed and then reissue the exit command.


Open File

- Select a .QWK packet to read.

- Only one packet can be opened at a time, though you can simultaneously work with a packet and message bases.

NOTE:  While opening a packet, you may be asked about a packet being processed in the work area.  You then have the option to ignore, open the selected packet or cancel opening the new packet and continue reading the interrupted packet. This takes place whenever reading of  packet is interrupted for any reason. With UniQWK, you do not lose your work even if there is a power outage.


Close File

- This command closes the packet and make a reply file (.REP) if necessary. The work area is cleared.

- You can save your current position if you have not read all messages. Only one position can be saved for each BBS.


Close File
Delete File

- Use this command to delete files.

- If you delete a .QWK file, the replies and files in the work area are not deleted.

- UniQWK does not store any information in .QWK packets.


Rename File

- This command is used to rename a file.  If it is a .QWK file, a name is suggested, which you may accept or change.


Send File

-Use this command to send a file as a message.  You may send a common text file (without control characters) or binary files using UU/XXencode.

-The file is divided into several messages, according to the maximum number of lines that you selected in reply options.  See Format.  Note that you may have problems with some BBSs if messages are longer than 200 lines.

-UU/XXencode has no error checking, so we cannot guarantee integrity of the file.  We recommend that sending only ZIP files.  QQencoding can be used only to send files to another UniQWK user.

-IMPORTANT: Avoid using UU/XXencode in public messages!

-Text	- Use when sending text files without control characters.  UniQWK will create the number of messages needed to accommodate the text.

-UUencode	- Use to send binary files. The file is converted into common characters (UUencode) and then subdivided so that the sections fit in your message.

-XXencode	-Used for sending binary files.  The character set used for encoding is less sensitive to alterations than that used by UUencode.

-QQencode	- Use to send binary files This method is similar to XXencode but with , some minor changes.  Use it only to send files to another UniQWK user.

-Attach	-Use to send any type of file, if supported by your BBS.


Attach

- Use to send any type of file with a message.

- This method is not supported by all BBSs and may not be supported in all areas of a given BBS.

- Before using, always confirm if the BBS supports file attachment and in what areas it is permitted.

-Internet messages do not support this method.  Use XX/UUencode.

- Messages received via attachment are kept in their own directory (.ZIP)

- UniQWK receive attachments using Qmail or Tom-Cat method, but sending to Tom-Cat doors have some limitations:  Messages must the first ones of the packets and can't be re-edited.  This restrictions do not apply to Qmail doors.


Receive File
Decode File

- Use this command to retrieve any text file or UU/XX/QQencode files from messages.

- If the message was created using UniQWK, all sections can be found automatically; otherwise, you will have to individually confirm if the messages are part of the encoded file.

- Messages must be in the correct order.  Note that error-free extraction is no guarantee that the file is correct.

- The message header and "trash" appearing in the messages can generally be avoided while decoding.  If you have a problem with "invalid characters" during extraction, you can attempt a "manual" extraction.

- If the messages are out of order or the file you received is corrupted, you can also attempt a non-automatic extraction.

- For "manual" extraction, save all messages in a text file, using the option to save the messages as text (menu msg/append).  Save messages in the correct order, edit message file by removing headers, taglines, etc.  After editing, use the menu option to decode from a file (menu file/decode file/ from file).

- "Attached" files are automatically placed in the .ZIP files directory.


Save Clipboard

- You can save the clipboard as text or any appropriate clipboard format, i.e., .CLP files.

- Any time the clipboard is in use when exiting the program and you have not chosen the automatic save option, you will be asked about what to do with the contents.


Save New files

- This command is available only if the option to automatically save "NEWFILES" has not been enabled.

- After you have saved the list, this command is disabled.

- The NEWFILES list is added to the end of a file named <bbsname>.NEW. Whenever this file gets very large, you will see a warning message. By deleting the file from the directory or changing its name, a new file will be created.

- There is no cross-checking to eliminate duplicate names in these lists.  The automatic save function is useful only if BBSs update their list daily without repeating files.


Colis Postaux

- "Colis Postaux" is a simple way to send any kind of file to another user, no matter what the file format, so you don't need to worry about coding and compressing the file.  Therefore, it will be easy to send a spreadsheet or a text made by any editor, besides it is possible to send  pictures, sounds, animation or whatever you can imagine.  But remember that you always will have to send it as a private message and watch the size of the file to avoid an extremely big file size.

- Since it is OLE installation sensitive, there are yet some problems that will interfere with the working of the system These problems are due to different installation setups between the machine that generated  the "colis postaux" and the receiving machine.  Sometimes the problem is the application associated with the type of the received object, sometimes the problem has a difficult solution.  An example of a common problem: you don't have the extension .MID associated to an application and your computer receives a file with that extension, UniQWK will not execute, but if you associate an application capable of executing MIDIs to the files with .MID extension (use File Manager to associate) these files should work normally.

- This option allows not only to send a packet, but also to save the received packet or examines the packets stored in the hard drive.  This window will be activated when you receive a Colis Postaux.   - To activate or edit any object just click twice on the object icon, or select the object in the "Edit" menu.

- The Colis Postaux window shows two menus only, FILE and EDIT:

File 	Besides its normal operation of open/close files, it allows a file insert as an object in order to setup the packet that will be sent.  You also can insert any object selected between the available objects in the local installation that are activated by OLE.

Edit 	Allows handling of packet inserted objects, activation or edition of the selected packet.  The objects can be erased, or copied.  Remember that the copy duplicates the object inside the packet.

Note: Do not close UniQWK if there is an open packet, neither close the Colis Postaux window while an object is active or being edited.


File Editor Menu

Save	Save reply

Encrypt	Encrypt and save reply

Sign Msg	Sign and save reply

Cancel	Cancel reply

Include	Include file or public key

Attach	Send file with message


Editor Options Menu

Fonts	Select font

Colors	Select text color

Margin	Select text width, indent, etc.


Encrypt

- Encrypt message using the public key of selected  "User ID"  .The key is retrieved from current public key's file, this file can be specific for each BBS, See  More Options

- If you want to sign the message with you secret key, edit message after encrypt and then sign the message

- Note: after encrypt or sign, the message can't be changed.


Sign Msg

- Sign the message using your current secret key.  You can change your secret key at "set/encrypt/your userid"  option on main menu.

- If you want to encrypt the message, encrypt message first, and then sign it.

- Note: after encrypt or sign, the message can't be changed.


Editor - Include File

- Use this command to include a file, or your public key, at the cursor position.  This command substitutes selected text, if there is any.

- The option of include  PGP public key is available only if you specify this file.   See Reply Options

- If the file is larger than the space available, it will be truncated.

- If you want to send a larger message than allowed by the line limit, use the option to send file, text mode, in the UniQWK file menu.


Save Reply

- Close the editor and save your reply.

- You can re-edit messages using the Reply List menu option EDIT.


Cancel Reply

- Close the editor and delete your reply.  Remember that after executing this option, there is no way to recover that reply.


Font

- Use this command to select editor's font and character.

- If you have selected Use Fixed Fonts in the Options menu, only fixed fonts will be offered.  This is your best choice.


Editor - Color

- You can select text and background colors. For better results, select only solid colors.


Editor- Margins

-You may choose the right margin of editor between 60 and 80 character.  This value is used to format the  already existing text.  The new text will be wrapped at least  8 characters from this margin..  Thus you can set this edge to 80 cols. and your text will be wrapped at col. 72 or less.

-The text is not right aligned.  Do not use less than 78 columns to get a good aspect of your message.

-The width of the edit window do not change the wrap position of text, thus the window can be maximized without danger of losing text format.

-You may also select paragraph indentation up to 8 character.


Edit Menu

- The edit menu includes commands that allow you to move text to and from the clipboard, delete text or undo your last operation.  For more information, select the command desired.

Undo	Cancel last operation

Select	Select all text

Cut	Delete and move selected text to clipboard

Copy	Copy text to clipboard

Paste	Move contents of clipboard to text

Clear	Delete selected text

Edit Header	Change information in message header

Insert Date	Insert current date at cursor position

Insert Time	Insert time at cursor position


Editor - Select All

- Select all text being edited.  This option is useful if you want to copy the entire text to clipboard.


Edit - Clear

- Delete selected text.  Deleted text is lost.

- See Cut command.


Edit - Copy

- Move copy of selected text to clipboard.

- Prior contents of clipboard will be deleted.


Edit - Cut

- Move selected text to clipboard.  Prior contents of clipboard will be deleted.

- See Clear command.


Edit - Paste

- This command places contents of clipboard at cursor position or substitutes selected text, if any. Prior contents of clipboard will be deleted.


Edit - Undo

- When available (not in gray), this command lets you undo the last editing command, such as cut, delete, copy, etc.


Edit - Header

- Use this option to change the subject, area or the addressee name of your reply.

- In case of an address bigger than 25 characters, between the address in "TO" field, and up to 64 characters, UniQWK  will automatically place the address in the first message line.  This is useful for Internet addresses.  If your BBS uses a command in the first line other than "TO", see at  More Options on how to change this parameter.

- In case of an answer to an Internet message, UniQWK will automatically search the address in the body of the received message to place it in the first line of your reply.  If  UniQWK  does not find the sender address in your BBS, check if there is a field "From" in the original message before the Internet address, in case if doesn't exist check if there is another pattern preceding the Internet address, if affirmative you can configure UniQWK to search for that pattern.  See in  More Options how to change this parameter.

- Remember that some BBS will accept messages marked PRIVATE only in the PRIVATE area. If there is no specific area for private messages, you can define one.

- To the addressee there is a list with names that you can keep for each BBS.  At the end of this list you will also find the addressee's name that you are answering.

- The sender's name cannot be edited, it is the user name that received the current or last packet.

- For registered copies, if you enabled the use of taglines for the current BBS, you may also

select a tagline, but this option is only effective the first time you edit the message.

Important: If long names are used (more than 25 characters), UniQWK will automatically place the addressee's name on the first line of the message.


Talk Menu

Record	Record talkline

Play	Play talkline

Delete	Delete talkline

Insert	Insert .WAV file (up to 6 s.) as talkline


Music

Play	Play inserted .MID

Delete	Delete .MID from message

Insert	Insert .MID file in message (up to 16kb)


Record

- Use to record talkline.  This option is available only if you have a sound board capable of digitizing.

- Up to 6 seconds of voice may be digitized and inserted in the message.

- PLAY reproduces sound at a higher quality than the addressee will obtain.  To hear the talkline as the addressee will hear it, use the LIST REP, VIEW option in the message reader after editing and saving reply.

- If you need more sophisticated sound editing, you may use any digitize program and then insert it using the INCLUDE option. Remember that the .WAV format must be mono, 8 bits and 11kHz.  Other formats are not accepted, but since this is the lowest quality format Windows, any .WAV program editor can easily convert it.


Spell

- The spell checker may be used for the entire message or for a selected portion only.

- If you have installed more than one language, always confirm that you have selected the correct language.

- If a word is not found in the dictionary, the spell checker dialogue gives you the following choices:

- Change - Use to correct the word in the text

- Skip - If you want to skip a word, it will be ignored until you close the program or change languages.

- Add to Dic - If you want to add a word to the dictionary, this option will correct the word in the text and add it to the temporary dictionary.

- Done - Closes the spell checker.

OBSERVATION:  Text  in the editor window will not be altered while the spell checker is in use.


For Beginners
Off-line Message Reader - Introduction

Your initiation as a BBS user certainly was, as we say, in person, live.  You call, walk through menus and read messages.  Answer entering your text directly to the BBS message banks that you are connected to, keeping the phone line in use.

Observe that if everybody stay 30 minutes connected to your BBS, only 48 people will be able to use it per day and that is, considering that when a user hangs up, another one is going on line instantly.  In practice, I'd say 15 to 25 people.  A BBS with 18000 users like Mandic - Säo Paulo - SP needs, at least, 900 telephone lines and still you would spend hours trying to connect.

The solution is an off-line process, or off-line message reader.  In a BBS, doors like QMAIL, CAM-MAIL, UQWK  and others, read the BBS message banks and place it in a file, compressing it using a compressor that you chose (usually PKZIP) and send it using a file transfer protocol that you also chose.  The most used protocol is Zmodem, although we have to be careful with its automatic recuperation process.

Once you receive the file, that comes with your BBS's name and .QWK extension, you can process it with UniQWK.  You have now all the time in the world to read and reread messages, answering those that interest you, having enough time to give a better reply using features like copies, redirecting, saving interesting messages, printing and other handy tools not available within-line reading.  Your replies and messages are stored in a file compressed by UniQWK with the BBS name and .REP extension given when you close the packet.

Next time you call your BBS, upload the reply file (.REP) using the UPLOAD command.  The BBS packager will decompress your messages and replies and store them in its message banks as if you had entered it manually.   When using UniQWK features, consider that all BBS are divided in areas called CONFERENCE or FORUM to avoid mixing of messages with different subjects.

Some messages are "echoed"; in other words, using a process called EVENT, the BBS often exchange messages with others BBS or Systems.  The FILE ATTACH feature in these areas usually is denied by the networks.  So, try to reduce the use of FILE ATTACH in the local areas of your BBS.

The use of XXENCODE/UUENCODE to transfer files is largely used and UniQWK provides this feature.  However we recommend its application with PRIVATE messages only, because its use with PUBLIC might give you problems with another user. This is also applicable to the music that you can include in a message.  Use always PRIVATE flag on, because to a non UniQWK user it will appear as garbage.  There are some BBS that already has an area to exchange public messages using music.

The diffusion of UniQWK and the fact that it has unique features, like Colis Postaux, inserted music and XXencode file transfer, resulted user groups spread throughout several BBS's. Being UniKEY a center where the related problems converge, we decided to create an exchange between these groups.  Then, in the beginning of 1995 there will be a BBS exclusively for user support, where the members of the different nuclei of UniQWK User Group can exchange their experiences.   For contact, E-mail to  jbotelho@ibase.org.br or to UniKEY SUPPORT BBS (55)(21)288-2223.


Help; If you have technical problem...
Help

To get help on UniQWK,  you can send E-mail to:

jbotelho@ax.apc.org

cacp@serv.peb.ufrj.br.

or via BBS:

UNIKEY SUPPORT BBS  - Free for UniKEY support.

28800/14400/9600/2400 Bauds - MNP-5/V.42bis

Rio de Janeiro - Brazil

BBS: (55)(21) 571-3722

Inside BBS  - Rio de Janeiro - RJ  - Brazil

24h, since 1989  -  ASP Approved BBS

28800/14400/9600/2400 Bauds - MNP-5/V.42bis

BBS: (55)(21) 537-1603 (35 lines)

BMT Micro

452 Horn Rd.

Wilmington, NC  28412

910-350-8061  (10 lines, all 14.4)

910-799-0923  (28.8 line)

On Delphi, you can find us at: GO CU 267

_____________________________________________________________

Limits on version 4.0

- Messages	7,424 messages

- Areas	2,048

- Message Size	60 kb or 1024 lines

- Replies	256

NOTE:

- These limits may be lower, if restricted by memory.

- Some BBSs have restrictions on message size.


UUencode/XXencode

Process for encoding binary messages using only normal ASCII characters, thus allowing you to send binary files as messages, without them being corrupted.  QQencode is just a small variation of XXencode used only by UniQWK.


Clipboard

Work area used to transfer data between different Windows applications.


QWK

Type of message packet invented by Mark Herring (1987).  This format is used by almost all off-line readers and BBSs.


Door

Name used to designate any external program running a BBS.  The most common is the message "packer" used to make QWK files.


Talkline

Small amount of sound accompanying message, too small to be considered voice mail. Avoid using talklines in public messages.  Use only in private messages and do not forget that only another UniQWK user will be able to hear it.


ANSI Message

Message with ANSI (American National Standards Institute) definition format control sequences. UniQWK assumes any message with an ESCAPE (1Bh) or any other constant character preceding "[" (5Bh) to be an ANSI message.


Colis Postaux

Small "packet" (or document)  that contain one or more objects included and can be sent/received as a message.


.REP

Extension used for file containing replies and/or new messages to be sent to BBS after reading packet.


Code Page or Character Set
Code Page

Strange name used to designate different character sets above 127.


ANSI Character Set

Character set used by Windows, also known as Code Page 1007.


PGP

"Pretty Good Privacy" - Program to encrypt messages, uses public-keys. Freeware, distributed by the Massachusetts Institute of Technology - MIT.  (c) Copyright Philip Zimmermann.


How to Register

    Registering your copy and, thus, getting rid of that annoying registration reminder is as simple as ordering a cup of coffee... All you have to do is send the equivalent of $40.00 (fourty American dollars):

Send your request direct to UniKEY only if:

-In cash, any currency;

-Checks in Brazilian currency;

-Visa, Master Card or American Express in any currency.

Please, do not send checks or orders in US currency to UniKEY. Send it to our representatives in USA.

- If you order by e-mail, use the SET/REGISTER menu to setup your message.  Don't forget to select an area in your BBS with access to the Internet.  In this case your message will be scrambled to give better privacy on the information that you are sending.  Even so, remember that sending credit card information by e-mail is not a very safe procedure and we will not be responsible for a fortuity loss that might occur due to such procedure.  You also can print the form and send it to us via regular mail.

Send to:	UniKEY® Informática Ltda

Rua Canuto Saraiva, 3

Rio de Janeiro - Brazil  CEP 20.530.000

Phone: (55) (21) 571-7701

Note: Due to currency exchange variations, payment with credit cards may have a slight

discrepancy, distorting the registration charge in a little less than U$40.00.

Special:  for users of ANY other OLR, the registration fee is only  US$30.00.  For this offer, you must send  a prove of your registration of another OLR.

To payments in non-Brazilian currency:

- BMT Micro:

Mail Orders:	BMT Micro

452 Horn Rd.

Wilmington, NC  28412

ATTN: UniQWK

Voice Orders:

Voice orders accepted 8:00am - 8:00pm 7 days per week.

800-414-4268  (Toll Free in All 50 United States -  ORDERS ONLY!)

910-791-7052  (Orders, questions)

Fax Orders:

Fax and on-line orders are accepted 24 hours a day, 7 days per week.

910-350-2937

On-line Orders:

910-350-8061  (10 lines, all 14.4)

910-799-0923  (28.8 line)

-BMT Micro accept Visa, Master Card, Discover, Money Order, Cashiers Check,

-Nominal orders and checks to BMT Micro

-Personal Check:  Please do not send cash in the mail!

-Allow 5 days for personal checks to clear.

-Signature needed on credit card orders (Make sure you put a signature line on the order form)

-Please send the form in the SENDME.TXT file, correctly filled out, to facilitate processing your registration.

___________________

Payment by check in non-Brazilian currency can also be sent to:

Phoenix Business Enterprises

P.O. Box 312

Edinboro, PA 16414-0312

 Nominal orders to Phoenix Business Enterprises

-Personal Check:  Please do not send cash in the mail!

-Allow 5 days for personal checks to clear.

- Please send the form in the SENDME.TXT file, correctly filled out, to facilitate processing your registration.

_________________________________________________________________

Comments and suggestions

-We welcome all comments and suggestions, even if you are not a register user.          Send them to UniKEY at the address listed above or by email to:

Carlos Pires:

            cacp@serv.peb.ufrj.br      (Internet)

 Julio Botelho:

            jbotelho@ax.apc.org      (Internet)

 or at

           Inside BBS   -  Rio de Janeiro - RJ  - Brazil (UniKEY area)

           24h, since 1989  -  ASP Approved BBS

           28800/14400/9600/2400 Bauds - MNP-5/V.42bis

           BBS: (021) 537-1603 (35 lines)

______________

The author wishes to thank all of the people who have contributed to the creation of this program in any way.

The spell checker is based on work done in 1991 (SSPELL, public domain) by Maurice Castro (maurice@bruce.cs.monash.edu.au).

English translation of documentation and help files by William J. Shelton.  English FAQ translation by John de Freitas


How to Uninstall

To uninstall UniQWK:

1 - Delete all files in the directory in which you installed UniQWK.

2 - Delete UNIQWK.INI file from your Windows directory.  If you are a registered user, do not forget to save your name and registration code.

3 - Delete MRUNPACK.PIF, MRPACK.PIF, and MRPGP.PIF in your Windows directory.

ATTENTION: UniQWK does not alter Windows files or .QWK files that you have read.


 Keyboard

Message Viewer

Dialog Box Keys

Window Keys

Menu Keys

Message View Keys

Internal Editor

Cursor Movement Keys

Editing Keys

Text Selection Keys


Cursor Movement Keys

Key(s)	Function

DIRECTION keys	Moves the cursor left, right, up, or down in a field.

END or CTRL + RIGHT	Moves to the end of a field.

HOME or CTRL + LEFT	Moves to the beginning of a field.

PAGE UP or PAGE DOWN	Moves up or down in a field, one screen at a time.

CTRL + UP 	Scroll up one line - don't move cursor

CTRL + DOWN	Scroll down one line - don't move cursor


Dialog Box Keys

Key(s)	Function

TAB	Moves from field to field (left to right and top to bottom).

SHIFT+TAB	Moves from field to field in reverse order.

ALT+letter	Moves to the option or group whose underlined letter matches the one you type.

DIRECTION key	Moves from option to option within a group of options.

ENTER	Executes a command button.

Or, chooses the selected item in a list box and executes the command.

ESC	Closes a dialog box without completing the command.

ALT+DOWN ARROW	Opens a drop-down list box.

ALT+UP or DOWN ARROW	Selects item in a drop-down list box.

SPACEBAR	Cancels a selection in a list box.

Select/clear a check box.

CTRL+SLASH	Selects all the items in a list box.

CTRL+BACKSLASH	Cancels all selections except the current selection.

SHIFT+ DIRECTION key	Extends selection in a text box.

SHIFT+ HOME	Extends selection to first character in a text box.

SHIFT+ END	Extends selection to last character in a text box


Editing Keys

Key(s)	Function

BACKSPACE	Deletes the character to the left of the cursor.

Or, deletes selected text.

DELETE	Deletes the character to the right of the cursor.

Or, deletes selected text.


Menu Keys

Key(s)	Function

ALT	Selects the first menu on the menu bar.

Letter key	Chooses the menu, or menu item, whose underlined letter matches the one you type.

ALT+letter key	Pulls down the menu whose underlined letter matches the one you type.

LEFT or RIGHT ARROW	Moves among menus.

UP or DOWN ARROW	Moves among menu items.

ENTER	Chooses the selected menu item.


Message View Keys

Key(s)	Function

Grey  Plus ( + )	Next message

Grey Minus ( - ) 	Previous message

RETURN	Next message page or next UNREAD message

SPACE BAR	Next message page or next UNREAD message

DEL 	Previous message

PAGE UP / PAGE DOWN	Moves up or down one screen at a time.

UP / DOWN ARROW	Moves up or dows one line at a time.

LEFT / RIGHT ARROW	Selects previous/next message

INSERT 	Choose message

DELETE	Choose area

A	Archive current message

E	Enter a new message

F	Find text (all messages)

I	Choose message

L	List replies

P	Print current message

M	Stop/Play MIDI

R	Reply current message

S	Save current message

T	Replay a talkline

W	Forward message


System Keys

The following keys can be used from any window, regardless of the application you are using.

Key(s)	Function

CTRL+ESC	Switches to the Task List.

ALT+ESC	Switches to the next application window or minimized icon, including full-screen programs.

ALT+TAB	Switches to the next application window, restoring applications that are running as icons.

ALT+PrtSc	Copies the entire screen to Clipboard.

CTRL+F4	Closes the active window.

F1	Gets Help and displays the Help Index for the application.


Text Selection Keys

Key(s)	Function

SHIFT+LEFT or RIGHT ARROW	Selects text one character at a time to the left or right.

SHIFT+DOWN or UP	Selects one line of text up or down.

SHIFT+END	Selects text to the end of the line.

SHIFT+HOME	Selects text to the beginning of the line.

SHIFT+PAGE DOWN	Selects text down one window.

Or, cancels the selection if the next window is already selected.

SHIFT+PAGE UP	Selects text up one window.

Or, cancels the selection if the previous window is already selected.

CTRL+SHIFT+LEFT or RIGHT ARROW	Selects text to the next or previous word.

CTRL+SHIFT+UP or DOWN ARROW	Selects text to the beginning (UP ARROW) or end (DOWN ARROW) of the paragraph.

CTRL+SHIFT+END	Selects text to the end of the document.

CTRL+SHIFT+HOME	Selects text to the beginning of the document.


Window Keys

Key(s)	Function

ALT+SPACEBAR	Opens the Control menu for an application window.

ALT+Hyphen	Opens the Control menu for a document window.

ALT+F4	Closes a window.

ALT+ESC	Switches to the next application window or minimized icon, including full-screen programs.

ALT+TAB	Switches to the next application window, restoring applications that are running as icons.

ALT+ENTER	Switches a non-Windows application between running in a window and running full screen.

DIRECTION key	Moves a window when you have chosen Move from the Control menu.

Or, changes the size of a window when you have chosen Size from the Control menu.